# ``twisted`.`web`.`template`.`XMLFile``

class documentation

`class XMLFile: (source)`

Implements interfaces: `twisted.web.iweb.ITemplateLoader`

View In Hierarchy

An `ITemplateLoader` that loads and parses XML from a file.

Method | `__init__` | Run the parser on a file.
Method | `__repr__` | Undocumented
Method | `load` | Return the document, first loading it if necessary.
Method | `_loadDoc` | Read and parse the XML.
Instance Variable | `_loadedTemplate` | The loaded document, or `None`, if not loaded.
Instance Variable | `_path` | The file that is being loaded from.

def __init__(self, path): (source)
Run the parser on a file.

Parameters
path:`FilePath` | The file from which to load the XML.

def __repr__(self): (source)

Undocumented

Returns
`str` | Undocumented

def load(self): (source)
from `twisted.web.iweb.ITemplateLoader`
Return the document, first loading it if necessary.

Returns
`List[Flattenable]` | the loaded document.

def _loadDoc(self): (source)
Read and parse the XML.

Returns
`List[Flattenable]` | the loaded document.

_loadedTemplate = (source)
The loaded document, or `None`, if not loaded.
_path: `FilePath` = (source)
The file that is being loaded from.